Investors, warrants & staking
Get Warrant Information By Warrant Id
Returns a flattened admin view of one warrant: terms, flags, dates, active tags, config name and investor.
Not available to API keys yet. It will need grants:read.
curl --request GET \
--url 'https://api.toku.com/tga/get-warrant-information-by-warrant-id?warrantID=%3CwarrantID%3E' \
--header 'Authorization: Bearer <token>'{
"warrantID": "string",
"warrantName": "string",
"warrantAmount": 0,
"warrantStatus": "AGREEMENT_SENT",
"warrantConfigurationName": "string",
"purchasePrice": 0,
"lockupPeriodMonths": 0,
"totalValue": 0,
"firmName": "string",
"lockupFrequencyType": "CUSTOM",
"investorFullName": "string",
"tags": [
"string"
],
"investorEntityID": "string",
"agreementSignedAt": "string",
"exerciseNoticeSignedAt": "string",
"paidAt": "string",
"settledAt": "string",
"warrantDescription": "string",
"issueDate": "string",
"expirationDate": "string",
"roleInOrgID": "string",
"isExercised": true,
"isOffPlatform": true,
"isPaid": true,
"isSigned": true,
"isUnderLockup": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
warrantIDstring<uuid>requiredResponse
200Successful response
warrantIDstringrequiredAllowed: matches ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
warrantNamestringrequiredwarrantAmountnumberrequiredwarrantStatusstringrequiredAvailable options: AGREEMENT_SENT, AGREEMENT_SIGNED, DRAFT, EXERCISE_ELIGIBLE, EXERCISE_NOTICE_SENT, EXERCISE_NOTICE_SIGNED, IN_LOCKUP, PAID, PENDING_PAYMENT_VERIFICATION, PENDING_SETTLEMENT, SETTLED
warrantConfigurationNamestringrequiredpurchasePricenumber | nullrequiredlockupPeriodMonthsinteger | nullrequiredtotalValuenumber | nullrequiredfirmNamestring | nullrequiredlockupFrequencyTypestringrequiredAvailable options: CUSTOM, DAILY, MONTHLY, QUARTERLY, SEMIANNUALLY, WEEKLY, YEARLY
investorFullNamestringrequiredtagsstring[]requiredinvestorEntityIDstring | nullrequiredAllowed: matches ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
agreementSignedAtstring | nullrequiredAllowed: matches ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$
exerciseNoticeSignedAtstring | nullrequiredAllowed: matches ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$
paidAtstring | nullrequiredAllowed: matches ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$
settledAtstring | nullrequiredAllowed: matches ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$
warrantDescriptionstring | nullrequiredissueDatestringrequiredAllowed: matches ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$
expirationDatestring | nullrequiredAllowed: matches ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$
roleInOrgIDstringrequiredAllowed: matches ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
isExercisedboolean | nullrequiredisOffPlatformboolean | nullrequiredisPaidboolean | nullrequiredisSignedboolean | nullrequiredisUnderLockupboolean | nullrequired